---
updatedAt: 2025-11-10T23:57:40.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/llms.txt
---

# Get Transactions

This is the transaction query endpoint. It is use to query transaction from different transaction group. The resulting transaction is use to create dispute.

**REQUEST**

The request query parameters are determined by the Transaction Group. However, a date range is always required.

| Field Name         | Description                                                                                                                                                                                              | Type     | Required | Constraints                                                               |
| :----------------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :------- | :------- | :------------------------------------------------------------------------ |
| transaction\_group | The transaction group you want to search for                                                                                                                                                             | String   | Required | [See Get Transaction Groups](get-transaction-groups)                      |
| channel            | A channel that is available within the transaction group                                                                                                                                                 | String   | Required | [See the channel from Get Transaction Groups](get-transaction-groups)     |
| startDate          | The start date and time of the date range. Format: yyyy-MM-dd HH:mm:ss                                                                                                                                   | DateTime | Required |                                                                           |
| endDate            | The end date and time of the date range. Format: yyyy-MM-dd HH:mm:ss                                                                                                                                     | DateTime | Required |                                                                           |
|                    | Any number of parameters as defined by the transaction group for example IPG group requires stan, maskedCardPan, retrievalReferenceNumber for finer filter, and AGENCY BANKING requires terminal and pan |          | Required | [See the parameter in the Get Transaction Groups](get-transaction-groups) |

**Sample Request**

\{\{base\_url}}/api/v1/transactions/groups/AGENCY BANKING/channels/ALL?startDate=2023-04-11 00:00:00\&endDate=2023-04-11 23:59:59\&terminal=20086919\&pan=506120\***\*\*\*\***&#x38;033

**RESPONSE**

<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Field Name
      </th>

      <th>
        Description
      </th>

      <th>
        Type
      </th>

      <th>
        Constraints
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        issuerCode
      </td>

      <td>
        The domain code of the issuer
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        issuer
      </td>

      <td>
        The domain name of the issuer
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        acquirerCode
      </td>

      <td>
        The domain code of the acquirer
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        acquirer
      </td>

      <td>
        The domain code of the acquirer
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        merchantCode
      </td>

      <td>
        If applicable, the domain code of the merchant
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        merchant
      </td>

      <td>
        If applicable, the domain name of the merchant
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        merchantCountry
      </td>

      <td>
        If applicable, the ISO Alpha-2 country code of the merchant
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        merchantType
      </td>

      <td>
        If applicable, the type of the merchant.
      </td>

      <td>
        Enum
      </td>

      <td>
        Regular, TSA, or Government
      </td>
    </tr>

    <tr>
      <td>
        customerReference
      </td>

      <td>
        The reference of the customer
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        transactionStore
      </td>

      <td>
        The store of the transaction
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        transactionReference
      </td>

      <td>
        The unique reference of the transaction in the store
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        transactionType
      </td>

      <td>
        The type of the transaction
      </td>

      <td>
        String
      </td>

      <td>
        [See Get Transaction Types](get-transaction-types-1)
      </td>
    </tr>

    <tr>
      <td>
        transactionDate
      </td>

      <td>
        The UTC date and time of the transaction
      </td>

      <td>
        DateTime
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        transactionAmount
      </td>

      <td>
        The amount of the transaction
      </td>

      <td>
        Long
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        transactionCurrencyCode
      </td>

      <td>
        The currency of the transaction. Format: ISO 4217 numeric
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        surchargeAmount
      </td>

      <td>
        If applicable, the surcharge (or fee) of the transaction
      </td>

      <td>
        Long
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        settlementAmount
      </td>

      <td>
        If applicable, the settlement amount of the transaction
      </td>

      <td>
        Long
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        settlementCurrencyCode
      </td>

      <td>
        If applicable, the currency of the transaction settlement. Format: ISO 4217 numeric
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        terminalType
      </td>

      <td>
        The type of the terminal
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        terminalId
      </td>

      <td>
        The unique identifier of the terminal
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        stan
      </td>

      <td>
        If applicable, the system trace audit number (Postilion)
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        pan
      </td>

      <td>
        If applicable, the PAN of the card used in the transaction
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        retrievalReferenceNumber
      </td>

      <td>
        The retrieval reference of the transaction
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        cardAcceptorCode
      </td>

      <td>
        If applicable, the unique identifier of the card acceptor
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        cardAcceptorLocation
      </td>

      <td>
        If applicable, the location of the card acceptor
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        responseCode
      </td>

      <td>
        The response code of the transaction
      </td>

      <td>
        String
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        settled
      </td>

      <td>
        The settlement status of the transaction
      </td>

      <td>
        Boolean
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        hasMerchant
      </td>

      <td>
        A flag to show if it is a merchant transaction
      </td>

      <td>
        Boolean
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        additionalInfo
      </td>

      <td>
        If applicable, any additional relevant data not captured by any field above\
        accountNumber - if applicable, the transaction account number
      </td>

      <td>
        JSON Array
      </td>

      <td>

      </td>
    </tr>
  </tbody>
</Table>

**Sample** **Response**

```json
[  
    {  
        "issuerCode": "IBTC",  
        "issuer": "IBTC",  
        "acquirerCode": "FBN",  
        "acquirer": "FBN",  
        "merchantCode": "200001119220077",  
        "merchant": "WT|ABUBAKAR MUHAMMAD MUST       ZARIA NG",  
        "merchantType": "Regular",  
        "customerReference": "506120\*\*\*8033",  
        "transactionStore": "RJService",  
        "transactionReference": "136919902261_902261_20086919_-10000.00_0200",  
        "transactionDate": "2023-04-11T11:00:00Z",  
        "transactionType": "AGENCY_BANKING_TRANSFER",  
        "transactionAmount": "NGN 100.00",  
        "surchargeAmount": "NGN 0.00",  
        "transactionCurrencyCode": "566",  
        "settlementAmount": "NGN 0.00",  
        "settlementCurrencyCode": "566",  
        "terminalType": "2",  
        "terminalId": "20086919",  
        "stan": "902261",  
        "pan": "506120***8033",  
        "retrievalReferenceNumber": "136919902261",  
        "cardAcceptorCode": "200001119220077",  
        "cardAcceptorLocation": "WT|ABUBAKAR MUHAMMAD MUST       ZARIA NG",  
        "responseCode": "00",  
        "settled": true,  
        "hasMerchant": true,  
        "additionalInfo": {}  
    }  
]
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "ipg",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.interswitchng.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/arbiter/api/v1/transactions/groups/{transaction_group}/channels/{channel}?": {
      "get": {
        "summary": "Get Transactions",
        "description": "This is the transaction query endpoint. It is use to query transaction from different transaction group. The resulting transaction is use to create dispute.",
        "operationId": "get-transactions-1",
        "parameters": [
          {
            "name": "transaction_group",
            "in": "path",
            "description": "A valid transaction group",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "channel",
            "in": "path",
            "description": "A channel that is available within the transaction group",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "startDate",
            "in": "query",
            "description": "The start date and time of the date range. Format: yyyy-MM-dd HH:mm:ss",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "endDate",
            "in": "query",
            "description": "The end date and time of the date range. Format: yyyy-MM-dd HH:mm:ss",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "The token used to identify the user",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-Interswitch-Authorization-Domain",
            "in": "header",
            "description": "The domain the user belongs to",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```